%define module waitress

Name:           python-%{module}
Version:        1.4.4
Release:        %mkrel 1
Summary:        Waitress WSGI server
License:        BSD
Group:          Development/Python
URL:            https://github.com/Pylons/waitress
Source0:        https://pypi.io/packages/source/w/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
Waitress is meant to be a production-quality pure-Python WSGI server
with very acceptable performance. It has no dependencies except ones
which live in the Python standard library. It runs on CPython on Unix
and Windows under Python 2.6+ and Python 3.2+. It is also known to run
on PyPy 1.6.0+ on UNIX. It supports HTTP/1.0 and HTTP/1.1.

#--------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        Waitress WSGI server
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildArch:      noarch
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Waitress is meant to be a production-quality pure-Python WSGI server
with very acceptable performance. It has no dependencies except ones
which live in the Python standard library. It runs on CPython on Unix
and Windows under Python 2.6+ and Python 3.2+. It is also known to run
on PyPy 1.6.0+ on UNIX. It supports HTTP/1.0 and HTTP/1.1.

%files -n python3-%{module}
%license LICENSE.txt
%{_bindir}/waitress-serve
%{python3_sitelib}/%{module}*

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install


%changelog
* Fri Oct 23 2020 daviddavid <daviddavid> 1.4.4-1.mga8
+ Revision: 1638949
- new version: 1.4.4

* Thu Feb 20 2020 umeabot <umeabot> 1.4.3-2.mga8
+ Revision: 1547294
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 1.4.3-1.mga8
+ Revision: 1487825
- new version: 1.4.3

* Mon Jan 06 2020 daviddavid <daviddavid> 1.4.2-1.mga8
+ Revision: 1476882
- new version: 1.4.2, fixes CVE-2019-1678[569] (mga#26014)

* Wed Oct 09 2019 daviddavid <daviddavid> 1.3.1-1.mga8
+ Revision: 1450699
- new version: 1.3.1

* Mon Sep 16 2019 daviddavid <daviddavid> 1.2.1-2.mga8
+ Revision: 1442021
- rebuild for python3.8
- drop python2 support

* Sat Apr 20 2019 wally <wally> 1.2.1-1.mga7
+ Revision: 1393986
- new version 1.2.1

* Tue Jan 08 2019 tv <tv> 0.8.10-5.mga7
+ Revision: 1352385
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.8.10-4.mga7
+ Revision: 1290554
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.8.10-3.mga7
+ Revision: 1135685
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.8.10-2.mga6
+ Revision: 971708
- Mageia 6 Mass Rebuild

* Sat Oct 17 2015 daviddavid <daviddavid> 0.8.10-1.mga6
+ Revision: 892340
- new version: 0.8.10
- add python3 package
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.8.5-7.mga5
+ Revision: 745829
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.5-6.mga5
+ Revision: 729964
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.5-5.mga5
+ Revision: 688411
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.8.5-3.mga4
+ Revision: 544532
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8.5-2.mga4
+ Revision: 499713
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Aug 01 2013 neoclust <neoclust> 0.8.5-1.mga4
+ Revision: 462037
- imported package python-waitress

